Package org.gradle.api.tasks

## Interface ScalaSourceDirectorySet

- All Superinterfaces:
    `AntBuilderAware`, `Buildable`, `Describable`, `FileCollection`, `FileTree`, `java.lang.Iterable<java.io.File>`, `Named`, `PatternFilterable`, `SourceDirectorySet`

      @Incubating
      public interface ScalaSourceDirectorySet
      extends SourceDirectorySet

  A `ScalaSourceDirectorySet` defines the properties and methods added to a `SourceSet` by the `ScalaPlugin`.
  Since:
    7.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

      `FileCollection.AntType`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.api.file.FileCollection

      `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsPath, getElements, getSingleFile, isEmpty, minus, plus`

    - ### Methods inherited from interface org.gradle.api.file.FileTree

      `getAsFileTree, getFiles, matching, matching, matching, plus, visit, visit, visit`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.gradle.api.tasks.util.PatternFilterable

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes`

    - ### Methods inherited from interface org.gradle.api.file.SourceDirectorySet

      `compiledBy, getClassesDirectory, getDestinationDirectory, getFilter, getName, getOutputDir, getSourceDirectories, getSrcDirs, getSrcDirTrees, setOutputDir, setOutputDir, setSrcDirs, source, srcDir, srcDirs`